public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: opensmtpd-and-similar: Adjust subtest relevancy
@ 2026-09-11 13:22 Stepan Broz
0 siblings, 0 replies; only message in thread
From: Stepan Broz @ 2026-09-11 13:22 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 4cb40a2a477f223fd4b1c3d22240ea070377d9f4
Author : Stepan Broz <sbroz@redhat.com>
Date : 2025-05-05T15:35:01+00:00
Stats : +14/-12 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/4cb40a2a477f223fd4b1c3d22240ea070377d9f4?branch=pr775-checkpolicy-revdeps
Log:
opensmtpd-and-similar: Adjust subtest relevancy
Do not test "bz#2246115" and "bz#2208696" on RHEL-9.3 or below.
---
diff --git a/selinux-policy/opensmtpd-and-similar/runtest.sh b/selinux-policy/opensmtpd-and-similar/runtest.sh
index be11811..c98321a 100755
--- a/selinux-policy/opensmtpd-and-similar/runtest.sh
+++ b/selinux-policy/opensmtpd-and-similar/runtest.sh
@@ -58,19 +58,21 @@ rlJournalStart
rlPhaseEnd
if ! rlIsRHEL 8 && ! rlIsCentOS 8 ; then
- rlPhaseStartTest "bz#2208696"
- rlSEMatchPathCon "${FILE_PATH}" "${FILE_CONTEXT}"
- rlSEMatchPathCon "/var/run" "var_run_t"
- rlSEMatchPathCon "/var/run/smtpd.sock" "sendmail_var_run_t"
- rlSESearchRule "allow sendmail_t sendmail_t : capability { sys_chroot fowner } [ ]"
- rlSESearchRule "type_transition sendmail_t var_run_t : sock_file sendmail_var_run_t"
- rlSESearchRule "allow sendmail_t sendmail_var_run_t : sock_file { create setattr unlink write } [ ]"
- rlPhaseEnd
+ if ! rlIsRHEL "<9.4" ; then
+ rlPhaseStartTest "bz#2208696"
+ rlSEMatchPathCon "${FILE_PATH}" "${FILE_CONTEXT}"
+ rlSEMatchPathCon "/var/run" "var_run_t"
+ rlSEMatchPathCon "/var/run/smtpd.sock" "sendmail_var_run_t"
+ rlSESearchRule "allow sendmail_t sendmail_t : capability { sys_chroot fowner } [ ]"
+ rlSESearchRule "type_transition sendmail_t var_run_t : sock_file sendmail_var_run_t"
+ rlSESearchRule "allow sendmail_t sendmail_var_run_t : sock_file { create setattr unlink write } [ ]"
+ rlPhaseEnd
- rlPhaseStartTest "bz#2246115"
- rlSEMatchPathCon "/run/smtpd.sock" "sendmail_var_run_t"
- rlSESearchRule "allow sendmail_t sendmail_t : unix_stream_socket { connectto } [ ]"
- rlPhaseEnd
+ rlPhaseStartTest "bz#2246115"
+ rlSEMatchPathCon "/run/smtpd.sock" "sendmail_var_run_t"
+ rlSESearchRule "allow sendmail_t sendmail_t : unix_stream_socket { connectto } [ ]"
+ rlPhaseEnd
+ fi
rlPhaseStartTest "RHEL-15175"
# actions on the /var/run/smtpd.pid file
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-09-11 13:22 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:22 [tests/selinux] pr775-checkpolicy-revdeps: opensmtpd-and-similar: Adjust subtest relevancy Stepan Broz
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox